Page MenuHomePhabricator

Decommission db1061.eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db1061.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1061.eqiad.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/551725/
  • - remove system from all lvs/pybal active configuration https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/552961/
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below. https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/552960/
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite) (removed for shreding)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2019, 6:18 AM
Marostegui triaged this task as Medium priority.Nov 19 2019, 6:19 AM
Marostegui moved this task from Triage to In progress on the DBA board.

Change 552960 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db1061 to spare

https://gerrit.wikimedia.org/r/552960

Change 552961 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1061 from config

https://gerrit.wikimedia.org/r/552961

Change 552960 merged by Marostegui:
[operations/puppet@production] mariadb: Set db1061 to spare

https://gerrit.wikimedia.org/r/552960

Change 552961 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1061 from config

https://gerrit.wikimedia.org/r/552961

Marostegui updated the task description. (Show Details)Nov 26 2019, 7:03 AM

Mentioned in SAL (#wikimedia-operations) [2019-11-26T07:03:48Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1061 from config T238624 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-11-26T07:05:29Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1061 from config T238624 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-11-26T07:09:17Z] <marostegui> Stop MySQL on db1061 - T238624

Mentioned in SAL (#wikimedia-operations) [2019-11-26T07:17:47Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1061 from config - T238624', diff saved to https://phabricator.wikimedia.org/P9745 and previous config saved to /var/cache/conftool/dbconfig/20191126-071746-marostegui.json

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1061.eqiad.wmnet

  • db1061.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Mentioned in SAL (#wikimedia-operations) [2019-11-28T06:14:12Z] <marostegui> Remove db1061 from tendril and zarcillo - T238624

Change 553445 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove references for db1061

https://gerrit.wikimedia.org/r/553445

Change 553446 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production entries for db1061

https://gerrit.wikimedia.org/r/553446

Change 553445 merged by Marostegui:
[operations/puppet@production] mariadb: Remove references for db1061

https://gerrit.wikimedia.org/r/553445

Change 553446 merged by Marostegui:
[operations/dns@master] wmnet: Remove production entries for db1061

https://gerrit.wikimedia.org/r/553446

Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptNov 28 2019, 6:20 AM
wiki_willy moved this task from Backlog to Decommission on the ops-eqiad board.Dec 28 2019, 9:06 PM
Jclark-ctr updated the task description. (Show Details)Feb 5 2020, 9:47 PM
RobH removed a subscriber: RobH.Feb 5 2020, 9:54 PM

No interface on any switch showing this server.

Papaul updated the task description. (Show Details)Mar 19 2020, 3:20 PM
Papaul added a subscriber: RobH.
Papaul closed this task as Resolved.Mar 20 2020, 3:25 PM
Papaul updated the task description. (Show Details)

complete